security/dhbitty - The NetBSD Packages Collection

Small public key ECDH encryption/decryption program

dhbitty is a small public key encryption program written in C.  It
uses elliptic curve Diffie-Hellman in the form of Curve25519 to
establish a shared secret between two users, and uses that secret to
symmetrically encrypt and authenticate messages.

There are no private key files; only passphrases.  Never lose that
pesky thing again.

Both the sender and the receiver can decrypt a message.  In fact,
there is no distinction between sender and receiver.  Both passphrases
must be strong.

There is no signing.  A similarly useful form of authentication occurs
using only DH.  dhbitty attempts to be as simple as possible.  It is
not optimized, but achieves a comfortable speed for most uses.  It
does not use floating point numbers, or integers longer than 32 bits.
It does not contain more algorithms than are needed.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdhbitty-20120806.tgz
NetBSD 8.0earmv7hfdhbitty-20120806.tgz
NetBSD 8.0earmv7hfdhbitty-20120806.tgz
NetBSD 8.0i386dhbitty-20120806.tgz
NetBSD 8.0i386dhbitty-20120806.tgz
NetBSD 8.0powerpcdhbitty-20120806.tgz
NetBSD 8.0powerpcdhbitty-20120806.tgz
NetBSD 8.0powerpcdhbitty-20120806.tgz
NetBSD 8.0powerpcdhbitty-20120806.tgz
NetBSD 8.0x86_64dhbitty-20120806.tgz
NetBSD 8.0x86_64dhbitty-20120806.tgz
NetBSD 9.0aarch64dhbitty-20120806.tgz
NetBSD 9.0aarch64dhbitty-20120806.tgz
NetBSD 9.0aarch64dhbitty-20120806.tgz
NetBSD 9.0alphadhbitty-20120806.tgz
NetBSD 9.0alphadhbitty-20120806.tgz
NetBSD 9.0alphadhbitty-20120806.tgz
NetBSD 9.0earmdhbitty-20120806.tgz
NetBSD 9.0earmdhbitty-20120806.tgz
NetBSD 9.0earmdhbitty-20120806.tgz
NetBSD 9.0earmv6hfdhbitty-20120806.tgz
NetBSD 9.0earmv6hfdhbitty-20120806.tgz
NetBSD 9.0earmv6hfdhbitty-20120806.tgz
NetBSD 9.0earmv7hfdhbitty-20120806.tgz
NetBSD 9.0earmv7hfdhbitty-20120806.tgz
NetBSD 9.0earmv7hfdhbitty-20120806.tgz
NetBSD 9.0earmv7hfdhbitty-20120806.tgz
NetBSD 9.0i386dhbitty-20120806.tgz
NetBSD 9.0i386dhbitty-20120806.tgz
NetBSD 9.0i386dhbitty-20120806.tgz
NetBSD 9.0m68kdhbitty-20120806.tgz
NetBSD 9.0m68kdhbitty-20120806.tgz
NetBSD 9.0mips64ebdhbitty-20120806.tgz
NetBSD 9.0mips64ebdhbitty-20120806.tgz
NetBSD 9.0mips64ebdhbitty-20120806.tgz
NetBSD 9.0mips64ebdhbitty-20120806.tgz
NetBSD 9.0mips64ebdhbitty-20120806.tgz
NetBSD 9.0powerpcdhbitty-20120806.tgz
NetBSD 9.0powerpcdhbitty-20120806.tgz
NetBSD 9.0powerpcdhbitty-20120806.tgz
NetBSD 9.0powerpcdhbitty-20120806.tgz
NetBSD 9.0sparc64dhbitty-20120806.tgz
NetBSD 9.0sparc64dhbitty-20120806.tgz
NetBSD 9.0sparc64dhbitty-20120806.tgz
NetBSD 9.0sparcdhbitty-20120806.tgz
NetBSD 9.0sparcdhbitty-20120806.tgz
NetBSD 9.0sparcdhbitty-20120806.tgz
NetBSD 9.0sparcdhbitty-20120806.tgz
NetBSD 9.0x86_64dhbitty-20120806.tgz
NetBSD 9.0x86_64dhbitty-20120806.tgz
NetBSD 9.0x86_64dhbitty-20120806.tgz
NetBSD 9.0x86_64dhbitty-20120806.tgz
NetBSD 9.0x86_64dhbitty-20120806.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.